typedef struct Image{
  char *name;  // e.g. filename
  int w,h;
  int size;
  unsigned char *data;
  int id;
  int bpp; // bytes per pixel
} Image;

/* tile.c */
Image *extractRectFromImg( Image *i, int x ,int y , int w,  int h );
void reverse_blitRect( unsigned char *dest, int dw, int dh, unsigned char *src, int sw, int sh, int x, int y);
void placeRectinImg( Image *to, Image *from, int x, int y );
void blitRect( unsigned char *dest, int dw, int dh, int x, int y, unsigned char *src, int sw, int sh );
void reverse_blitRect_c( unsigned char *dest, int dw, int dh, unsigned char *src, int sw, int sh, int x, int y);
void blitRect_c( unsigned char *dest, int dw, int dh, int x, int y, unsigned char *src, int sw, int sh );


/* X */
void G_init(int w, int h);
void G_place_pic( Image *tile, Image *out, int x, int y );
void G_end(void);
void processEvents( Image *out);

#define MALLOC_CHECK_ 2
